# IAX2IeEncryption Class Reference

`#include <ies.h>`

Inheritance diagram for IAX2IeEncryption:

[legend]
Collaboration diagram for IAX2IeEncryption:
[legend]

## Public Types

| encryptAes128 = 1
enum | IAX2IeEncryptionMethod { encryptAes128 = 1 }

## Public Member Functions

| IAX2IeEncryption (IAX2IeEncryptionMethod method=encryptAes128)
| IAX2IeEncryption (BYTE length, BYTE *srcData)
virtual void | PrintOn (ostream &str) const
virtual BYTE | GetKeyValue () const
virtual void | StoreDataIn (IAX2IeData &res)

## Detailed Description

An Information Element that contains the encryption format

## Member Enumeration Documentation

enum IAX2IeEncryption::IAX2IeEncryptionMethod

Specify the different encryption methods

Enumerator:

  encryptAes128 | Specify to use AES 128 bit encryption

## Constructor & Destructor Documentation

IAX2IeEncryption::IAX2IeEncryption | ( | IAX2IeEncryptionMethod | method = `encryptAes128` | ) |

Constructor to specify a particular encryption method

IAX2IeEncryption::IAX2IeEncryption | ( | BYTE | length,
|  | BYTE * | srcData |
| ) |  |  | `[inline]`

Constructor from data read from the network.

Contents are undefined if the network data is bogus/invalid

## Member Function Documentation

virtual BYTE IAX2IeEncryption::GetKeyValue | ( |  | ) | const`[inline, virtual]`

Get the key value for this particular Information Element class

Reimplemented from IAX2Ie.

virtual void IAX2IeEncryption::PrintOn | ( | ostream & | str | ) | const`[virtual]`

print this class (nicely) to the designated stream

Reimplemented from IAX2IeUShort.

virtual void IAX2IeEncryption::StoreDataIn | ( | IAX2IeData & | res | ) | `[inline, virtual]`

Take the data from this IAX2Ie, and copy it into the IAX2IeData structure. This is done on processing an incoming frame which contains IAX2Ie in the data section.

Reimplemented from IAX2Ie.

The documentation for this class was generated from the following file:

- ies.h